RENICE(8)

NAZWA
renice - popraw priorytet działającego procesu

SKŁADNIA
renice priority [ [-p] pid ...] [ [-g] pgrp ...] [ [-u] user ...]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Renice poprawia priorytet schedulowania jednego lub większej liczby procesów. Następujące parametry kto są interpretowane jako identyfikatory procesów, grup, lub nazwy użytkowników. Renice'owanie grupy procesów, powoduje że wszystkie procesy grupy będą miały zmieniony priorytet. Renice'owanie użytkownika spowoduje, że wszystkie jego porocesy zmienią priorytet. Domyślnie, zmieniane procesy są podawane przez ich PID.

Opcje obsługiwane przez renice:

-g  Wymuś interpretację parametrów kto jako identyfikatorów grup procesów.

-u  Wymuś interpretację parametrów kto jako nazw użytkowników.

-p  Resetuje interpretację parametrów kto na domyślną, czyli PID.

Na przykład,

    renice +1 987 -u daemon root -p 32

zmieni priorytety procesów 987 i 32, oraz wszystkich procesów użytkowników daemon i root.

Użytkownicy inni niż superużytkownik mogą tylko zmieniać priorytety swoich procesów i mogą je monotonicznie zwiększać tylko w zakresie 0 do PRIO_MAX (20). Superużytkownik może zmieniać priorytety procesów w zakresie PRIO_MIN (-20) do PRIO_MAX. Przydatnymi priorytetami są: 20 (proces będzie działał tylko gdy system nie ma nic innego do roboty), 0 (podstawowy priorytet schedulowania), cokolwiek ujemnego (aby leciało szybko).

PLIKI
/etc/passwd
    do mapowania nazw użytkowników na ich ID.

ZOBACZ TAKŻE
getpriority(2), setpriority(2)

BŁĘDY
Niesuperużytkownik nie może zwiększać priorytetów schedulowania swoich własnych procesów, nawet jeśli były one najpierw zmniejszone.

HISTORIA
Polecenie renice pojawiło się w 4.0BSD.

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:
man --locale=C 1 renice

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.